SELECT C.CompanyName AS Customer, 
       Y.CityName AS City, 
       SUM(S.SalesAmount) AS TotalSales
  FROM Sales S, 
       Customer C, 
       City Y, 
       Time T
 WHERE S.CustomerKey = C.CustomerKey 
   AND C.CityKey = Y.CityKey
   AND S.OrderDateKey = T.TimeKey
   AND T.Year = '1997' 
   AND ST_Contains('SRID=4326;POLYGON((5.0 40.0, 100 40.0, 
            	                      100.0 90.0, 5.0 90.0, 5.0 40.0))'::geometry, Y.CityGeo)
 GROUP BY C.CompanyName, Y.CityName
