SELECT C.CompanyName AS Customer, 
       U.CompanyName AS Supplier,
       SUM(S.SalesAmount) AS TotalSales
  FROM Sales S, 
       Customer C, 
       Supplier U 
 WHERE S.CustomerKey = C.CustomerKey 
   AND S.SupplierKey = U.SupplierKey 
   AND ST_Distance(C.CustomerGeo,U.SupplierGeo)
           <= (SELECT MIN(ST_Distance(C.CustomerGeo,U1.SupplierGeo))
                 FROM Sales S1, 
                      Supplier U1
                WHERE S1.CustomerKey = C.CustomerKey 
                  AND S1.SupplierKey = U1.SupplierKey) 
 GROUP BY C.CompanyName, U.CompanyName