SELECT DISTINCT C.CompanyName AS Customer, 
       U.CompanyName AS Supplier,
       ST_Distance(C.CustomerGeo,U.SupplierGeo) AS Distance
  FROM Sales S, 
       Customer C, 
       City Y, 
       State A,
       Supplier U, 
       City AS SY,
       State AS SA
 WHERE S.CustomerKey = C.CustomerKey 
   AND C.CityKey = Y.CityKey 
   AND Y.StateKey = A.StateKey 
   AND S.SupplierKey = U.SupplierKey 
   AND U.CityKey = SY.CityKey 
   AND SY.StateKey = SA.StateKey 
   AND SA.CountryKey = A.CountryKey
 ORDER BY C.CompanyName, U.CompanyName