SELECT O.CountryName AS Country, 
       COUNT(DISTINCT S.CustomerKey) AS NbCustomers
  FROM Sales S, 
       Customer C, 
       City Y, 
       State A, 
       Country O, 
       Area R 
 WHERE S.CustomerKey = C.CustomerKey 
   AND C.CityKey = Y.CityKey 
   AND Y.StateKey = A.StateKey 
   AND A.CountryKey = O.CountryKey 
   AND ST_Area(O.CountryGeo) > 5
   AND O.AreaKey = R.AreaKey 
   AND TRIM(R.AreaName) = 'Europe'
 GROUP BY O.CountryName